import * as i0 from '@angular/core';
import { Directive, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class FocusOnLoadDirective {
    constructor(viewContainer) {
        this.viewContainer = viewContainer;
        const container = this.viewContainer['_lContainer'][0];
        if (container instanceof HTMLElement) {
            this.inputBox = container;
        }
        else {
            this.inputBox = container[8];
        }
    }
    ngAfterViewInit() {
        setTimeout(() => {
            this.inputBox.focus();
        }, 10);
    }
}
FocusOnLoadDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.1", ngImport: i0, type: FocusOnLoadDirective, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive });
FocusOnLoadDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.1", type: FocusOnLoadDirective, selector: "*[autofocus]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.1", ngImport: i0, type: FocusOnLoadDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[autofocus]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ViewContainerRef }]; } });

class FocusOnLoadModule {
}
FocusOnLoadModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.1", ngImport: i0, type: FocusOnLoadModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
FocusOnLoadModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.1", ngImport: i0, type: FocusOnLoadModule, declarations: [FocusOnLoadDirective], imports: [CommonModule], exports: [FocusOnLoadDirective] });
FocusOnLoadModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.1", ngImport: i0, type: FocusOnLoadModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.1", ngImport: i0, type: FocusOnLoadModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        FocusOnLoadDirective
                    ],
                    exports: [
                        FocusOnLoadDirective
                    ],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FocusOnLoadDirective, FocusOnLoadModule };
//# sourceMappingURL=mintplayer-ng-focus-on-load.mjs.map
